Bug 1849174 - Builds fail after running postCommit script if OCP cluster is configured with a container registry whitelist
Summary: Builds fail after running postCommit script if OCP cluster is configured with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.2.z
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Adam Kaplan
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1849173
Blocks: 1849176
TreeView+ depends on / blocked
 
Reported: 2020-06-19 18:34 UTC by OpenShift BugZilla Robot
Modified: 2020-08-04 14:16 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the container image signature policy used in builds did not contain any configuration for local images Consequence: when customers only allowed images from specific registries, postCommit scripts in builds failed because they could not use local image Fix: updated container image signature policy to always allow images that reference local storage layers directly Result: builds can successfully complete if they contain a postCommit hook
Clone Of:
Environment:
Last Closed: 2020-08-04 14:16:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 121 None closed [release-4.4] Bug 1849174: Allow image push after postCommit script completes 2020-10-05 12:27:36 UTC
Red Hat Product Errata RHBA-2020:3128 None None None 2020-08-04 14:16:34 UTC

Comment 7 errata-xmlrpc 2020-08-04 14:16:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.15 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3128


Note You need to log in before you can comment on or make changes to this bug.